Debian Bug report logs - #690428
kwin: GTK Menus randomly fail to render if Fade Effect disabled

version graph

Package: kde-window-manager; Maintainer for kde-window-manager is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for kde-window-manager is src:kde-workspace.

Reported by: David Smith <sidicas2@gmail.com>

Date: Sun, 14 Oct 2012 10:51:01 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Found in versions kde-workspace/4:4.8.4-3, kde-workspace/4:4.8.4-4, kde-workspace/4:4.8.4-5

Fixed in version 4:4.10.2-2

Done: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.kde.org/show_bug.cgi?id=295254

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sidicas2@gmail.com, sidicas2@gmail.com, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#690428; Package kde-window-manager. (Sun, 14 Oct 2012 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
New Bug report received and forwarded. Copy sent to sidicas2@gmail.com, sidicas2@gmail.com, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 14 Oct 2012 10:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kwin: GTK Menus randomly fail to render properly (patch available)
Date: Sun, 14 Oct 2012 18:48:02 +0800
Package: kde-window-manager
Version: 4:4.8.4-3
Severity: normal

Hello, I'm having rendering problems with GTK Menus when KWIN Desktop Effects
are enabled (without FADE effect).  There is a patch available for KWIN that
reportedly fixes this.


https://bugs.kde.org/show_bug.cgi?id=295254

I have not tested the attached patch from upstream. Just reporting in to say
that I'm suffering from this problem in Debian Wheezy KDE 4.8.4.

Can this patch be backported to Debian Wheezy (KDE 4.8.4)?


GTK Menus randomly fail to render properly.

To reproduce the problem:
1. Set theme to Plastik
2. Enable Desktop Effects KWIN
3. In the "All Effects" tab of KWIN, make sure no effects are checked.
4. Start up a GTK application such as dia, firefox, iceweasel, synaptic
5. Click on a menu and then use left and right arrow keys to scroll back
and forth through the menus. Randomly, the menus will only partially render or
not render at all.

Work Around:
1. Go into "All Effects" tab of KWIN
2. Enable "FADE" effect.

Possible Resolution:
Use Patch from: https://bugs.kde.org/show_bug.cgi?id=295254


Again, I have not tested the patch, but it reportedly fixes the problem.




-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (1001, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kde-window-manager depends on:
ii  kde-runtime               4:4.8.4-1
ii  kde-style-oxygen          4:4.8.4-3
ii  libc6                     2.13-35
ii  libgl1-mesa-glx [libgl1]  8.0.4-2
ii  libice6                   2:1.0.8-2
ii  libkactivities6           4:4.8.4-1
ii  libkcmutils4              4:4.8.4-3
ii  libkdeclarative5          4:4.8.4-3
ii  libkdecorations4          4:4.8.4-3
ii  libkdecore5               4:4.8.4-3
ii  libkdeui5                 4:4.8.4-3
ii  libkephal4abi1            4:4.8.4-3
ii  libkio5                   4:4.8.4-3
ii  libknewstuff3-4           4:4.8.4-3
ii  libkwineffects1abi3       4:4.8.4-3
ii  libkwinglutils1           4:4.8.4-3
ii  libkworkspace4abi1        4:4.8.4-3
ii  libplasma3                4:4.8.4-3
ii  libqt4-dbus               4:4.8.2+dfsg-2
ii  libqt4-declarative        4:4.8.2+dfsg-2
ii  libqt4-script             4:4.8.2+dfsg-2
ii  libqt4-xml                4:4.8.2+dfsg-2
ii  libqtcore4                4:4.8.2+dfsg-2
ii  libqtgui4                 4:4.8.2+dfsg-2
ii  libsm6                    2:1.2.1-2
ii  libstdc++6                4.7.1-7
ii  libx11-6                  2:1.5.0-1
ii  libxcomposite1            1:0.4.3-2
ii  libxcursor1               1:1.1.13-1
ii  libxdamage1               1:1.1.3-2
ii  libxext6                  2:1.3.1-2
ii  libxfixes3                1:5.0-4
ii  libxrandr2                2:1.3.2-2
ii  libxrender1               1:0.9.7-1
ii  perl                      5.14.2-14

kde-window-manager recommends no packages.

kde-window-manager suggests no packages.

-- no debconf information



Set Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=295254'. Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Sun, 14 Oct 2012 10:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#690428; Package kde-window-manager. (Mon, 15 Oct 2012 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Mon, 15 Oct 2012 03:12:03 GMT) Full text and rfc822 format available.

Message #12 received at 690428@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: 690428@bugs.debian.org
Subject: RE: kwin: GTK Menus randomly fail to render properly (patch available)
Date: Mon, 15 Oct 2012 11:08:56 +0800
I tried using quilt to force the patch.  Seemed to be ok, but then it
failed to compile with pbuilder.
Unable to test the patch myself, patch doesn't seem to work with KDE
4.8.4.  Could use some help if possible.

-David



Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 18 Oct 2012 16:36:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#690428; Package kde-window-manager. (Tue, 23 Oct 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 23 Oct 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #19 received at 690428@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: 690428@bugs.debian.org
Date: Tue, 23 Oct 2012 23:53:44 +0800
> To reproduce the problem:
> 1. Set theme to Plastik

I should mention, you don't need to use a Plastik theme.. Setting
*any* theme installed with KDE other than the default Oxygen theme can
be used to reproduce the bug. Debian comes with a lot of pre-installed
themes available.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#690428; Package kde-window-manager. (Tue, 23 Oct 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 23 Oct 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #24 received at 690428@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: 690428@bugs.debian.org
Date: Wed, 24 Oct 2012 03:30:51 +0800
It's a lot easier to reproduce than I previously thought...

Steps to reproduce (KWIN effects enabled by default in KDE):
1. Go into Desktop Effects and uncheck the "Fade" effect.
2. Run any GTK application (dia, synaptic, iceweasel, firefox,
libreoffice, GIMP, etc.)
3. Use left and right arrow keys or the mouse to scroll through the
menus.  Menus randomly fail to render properly.


Theme doesn't matter.  I made a mistake in my testing.
 It was suggested to me to tag this as release critical so I will try
to do that.

-David



Changed Bug title to 'kwin: GTK Menus randomly fail to render if Fade Effect disabled' from 'kwin: GTK Menus randomly fail to render properly (patch available)' Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Tue, 23 Oct 2012 19:39:06 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'normal' Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Tue, 23 Oct 2012 19:39:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Tue, 23 Oct 2012 20:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#690428; Package kde-window-manager. (Wed, 24 Oct 2012 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Wed, 24 Oct 2012 00:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 690428@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: 690428@bugs.debian.org
Date: Wed, 24 Oct 2012 08:24:20 +0800
Just some screenshots of what I'm seeing here:
http://imgur.com/a/KMlBZ



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#690428; Package kde-window-manager. (Fri, 26 Oct 2012 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 26 Oct 2012 07:45:03 GMT) Full text and rfc822 format available.

Message #40 received at 690428@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: 690428@bugs.debian.org
Date: Fri, 26 Oct 2012 15:42:56 +0800
[Message part 1 (text/plain, inline)]
I've successfully backported the patch from KDE 4.9.1 to KDE 4.8.4.

Works like a charm.

Patch attached.
[gtk_menu_without_fade_refresh.patch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Fri, 26 Oct 2012 07:51:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream and fixed. Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Fri, 26 Oct 2012 07:51:07 GMT) Full text and rfc822 format available.

Removed tag(s) fixed. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Mon, 29 Oct 2012 11:06:08 GMT) Full text and rfc822 format available.

Marked as found in versions kde-workspace/4:4.8.4-4. Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 17:03:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#690428; Package kde-window-manager. (Sat, 15 Dec 2012 13:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sat, 15 Dec 2012 13:09:04 GMT) Full text and rfc822 format available.

Message #53 received at 690428@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: 690428@bugs.debian.org, control@bugs.debian.org
Subject: Re: kwin: GTK Menus randomly fail to render if Fade Effect disabled
Date: Sat, 15 Dec 2012 21:06:10 +0800
found 690428 4.8.4-5
thanks.

Bug is still present.



Marked as found in versions 4.8.4-5. Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Sat, 15 Dec 2012 13:09:07 GMT) Full text and rfc822 format available.

Marked as found in versions kde-workspace/4:4.8.4-5. Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Sat, 15 Dec 2012 13:15:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.8.4-5. Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Sat, 15 Dec 2012 13:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#690428; Package kde-window-manager. (Sat, 27 Apr 2013 12:51:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan <janjanjanx@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 27 Apr 2013 12:51:18 GMT) Full text and rfc822 format available.


Message #64 received at 690428@bugs.debian.org (full text, mbox):

From: Jan <janjanjanx@gmail.com>
To: 690428@bugs.debian.org
Date: Sat, 27 Apr 2013 14:49:35 +0200
This bug is still present in 4.8.4-6.

Will Wheezy be released with this bug?



Reply sent to Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>:
You have taken responsibility. (Sat, 27 Apr 2013 15:54:14 GMT) Full text and rfc822 format available.

Notification sent to David Smith <sidicas2@gmail.com>:
Bug acknowledged by developer. (Sat, 27 Apr 2013 15:54:14 GMT) Full text and rfc822 format available.

Message #69 received at 690428-done@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
To: 690428-done@bugs.debian.org
Subject: Closed with 4:4.10.2-2
Date: Sat, 27 Apr 2013 12:51:42 -0300
[Message part 1 (text/plain, inline)]
Version: 4:4.10.2-2

This bug has been fixed by version 4:4.10.2-2 in experimental.

Kinds regards, Lisandro.

-- 
The volume of a pizza of thickness a and radius z can be described by
the following formula:

pi zz a

Lisandro Damián Nicanor Pérez Meyer
http://perezmeyer.com.ar/
http://perezmeyer.blogspot.com/
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Aug 2013 07:29:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:06:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.